Get Statement
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 12345,
"entity": "payin_transaction",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 1,
"name": "PIX Payment"
},
"amount": 100.50,
"available_balance": 1500.00,
"balance": 1500.00,
"reserve_balance": 0.00,
"invoice": "INV-12345",
"description": "Payment received",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
},
{
"id": 12346,
"entity": "payin_transaction_creditcard_fee",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 8,
"name": "PIX Fee"
},
"amount": -2.50,
"available_balance": 1497.50,
"balance": 1497.50,
"reserve_balance": 0.00,
"invoice": null,
"description": "PIX transaction fee",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
}
]
{
"error": "Invalid parameters"
}
{
"error": "Internal server error"
}
Account
Get Statement
Retrieve account statement with transaction history
GET
/
v2
/
account
/
{merchantId}
/
statement
Get Statement
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 12345,
"entity": "payin_transaction",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 1,
"name": "PIX Payment"
},
"amount": 100.50,
"available_balance": 1500.00,
"balance": 1500.00,
"reserve_balance": 0.00,
"invoice": "INV-12345",
"description": "Payment received",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
},
{
"id": 12346,
"entity": "payin_transaction_creditcard_fee",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 8,
"name": "PIX Fee"
},
"amount": -2.50,
"available_balance": 1497.50,
"balance": 1497.50,
"reserve_balance": 0.00,
"invoice": null,
"description": "PIX transaction fee",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
}
]
{
"error": "Invalid parameters"
}
{
"error": "Internal server error"
}
Path Parameters
Query Parameters
Filter by entity typeAllowed values:
payout_merchant_note, payout_deposit, payout_transaction, payout_data_qualification, payin_transaction, payin_transaction_split, payin_transaction_creditcard, payin_transaction_creditcard_fee, payin_transaction_creditcard_split, payin_transaction_creditcard_installment, payin_transaction_creditcard_installment_fee, payin_transaction_creditcard_installment_split, payin_transaction_creditcard_installment_parent_split, payin_transaction_creditcard_parent_split_fee, payin_withdrawal, payin_transaction_refund, payin_transaction_rolling_reserve, payout_pix_reversal,Required: Must provide
created_after/created_before OR occurrence_after/occurrence_before OR idResponse Headers
Response Body
Array of statement entries
Show Statement Entry
Show Statement Entry
Entity typePossible values:
payout_merchant_note, payout_deposit, payout_transaction, payout_data_qualification, payin_transaction, payin_transaction_split, payin_transaction_creditcard, payin_transaction_creditcard_fee, payin_transaction_creditcard_split, payin_transaction_creditcard_installment, payin_transaction_creditcard_installment_fee, payin_transaction_creditcard_installment_split, payin_transaction_creditcard_installment_parent_split, payin_transaction_creditcard_parent_split_fee, payin_withdrawal, payin_transaction_refund, payin_transaction_rolling_reserve, payout_pix_reversal,[
{
"id": 12345,
"entity": "payin_transaction",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 1,
"name": "PIX Payment"
},
"amount": 100.50,
"available_balance": 1500.00,
"balance": 1500.00,
"reserve_balance": 0.00,
"invoice": "INV-12345",
"description": "Payment received",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
},
{
"id": 12346,
"entity": "payin_transaction_creditcard_fee",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 8,
"name": "PIX Fee"
},
"amount": -2.50,
"available_balance": 1497.50,
"balance": 1497.50,
"reserve_balance": 0.00,
"invoice": null,
"description": "PIX transaction fee",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
}
]
{
"error": "Invalid parameters"
}
{
"error": "Internal server error"
}
Transaction Categories
The statement includes various transaction categories. Use the category ID when filtering:| ID | Name | Description |
|---|---|---|
| 1 | PIX Payment | PIX payment received |
| 2 | PIX Reversal | PIX payment reversal |
| 3 | TED Payment | TED transfer payment |
| 4 | TED Reversal | TED transfer reversal |
| 5 | Transfer Between WE Accounts | Internal transfers between WE accounts |
| 6 | Transfer | General transfers |
| 7 | Boleto Payment | Boleto payment received |
| 8 | PIX Fee | PIX transaction fee |
| 9 | Boleto Fee | Boleto transaction fee |
| 10 | TED Fee | TED transfer fee |
| 11 | Merchant Note Settlement | Settlement entry |
| 12 | Merchant Note Tax | Tax entry |
| 13 | Merchant Note Generic | Generic merchant note |
| 14 | Transfer Fee | Transfer transaction fee |
| 15 | Others | Other transactions |
| 16 | Rolling Reserve | Rolling reserve |
| 17 | Credit Card Transaction | Credit card payment |
| 18 | Credit Card Fee | Credit card fee |
| 51 | Merchant Note Judicial Freeze | Judicial freeze |
| 52 | PIX Refund | PIX refund |
| 53 | Markup | Markup fee |
| 54 | Current Balance | Current balance |
| 55 | Conversion Fee | Conversion Fee |
?category_id=1,8Was this page helpful?

